//
//  MPParenthesisFunction.m
//  MathKit
//
//  Created by Kim Wittenburg on 17.09.14.
//  Copyright (c) 2014 Kim Wittenburg. All rights reserved.
//

#import "MPParenthesisFunction.h"

#import "MPExpression.h"
#import "MPParenthesisTerm.h"



@implementation MPParenthesisFunction

MPFunctionAccessorImplementation(Expression, _expression)


- (NSArray *)childrenAccessors
{
    return @[@"expression"];
}


- (Class)functionTermClass
{
    return [MPParenthesisTerm class];
}


- (NSString *)description
{
    return [NSString stringWithFormat:@"(%@)", self.expression.description];
}

@end
